#!/bin/bash
set -e

source build-env.sh

if [ ! -d "build" ]
then
   mkdir build
fi

if [ ! -d "src" ]
then
   mkdir src
fi

if [ ! -d "$ANDROID_PACKAGE" ]
then
    wget https://dl.google.com/android/repository/$ANDROID_PACKAGE-linux-x86_64.zip
    unzip $ANDROID_PACKAGE-linux-x86_64.zip
    rm $ANDROID_PACKAGE-linux-x86_64.zip
fi

$SCRIPTPATH/ffi-build.sh
$SCRIPTPATH/openssl-build.sh
$SCRIPTPATH/python-build.sh
$SCRIPTPATH/crossenv-build.sh $PY_MAJ
$SCRIPTPATH/numpy-build.sh

cp $SCRIPTPATH/runtime-env.sh $INSTALL_ARM_DIR
chmod 777 $INSTALL_ARM_DIR/runtime-env.sh

source cross-compile-env.sh # For toolchain stuff - don't include above
cp $TOOLCHAIN/sysroot/usr/lib/$TARGET/libc++_shared.so $INSTALL_ARM_DIR/lib
cp $SCRIPTPATH/src/get-pip.py $INSTALL_ARM_DIR/share

tar -cf install-arm.tgz install-arm
