#!/bin/bash
# darwin: mac
# linux: linux
export BUILD_OS=linux
export BUILD_CPU=x86_64

export TOOLCHAIN=$NDK/toolchains/llvm/prebuilt/$BUILD_OS-$BUILD_CPU
export TARGET=aarch64-linux-android
export API=29

export BUILD_ON=$BUILD_CPU-$BUILD_OS

# Configure and build.
export AR=$TOOLCHAIN/bin/$TARGET-ar
export AS=$TOOLCHAIN/bin/$TARGET-as
export CC=$TOOLCHAIN/bin/$TARGET$API-clang
export CXX=$TOOLCHAIN/bin/$TARGET$API-clang++
export LD=$TOOLCHAIN/bin/$TARGET-ld
export RANLIB=$TOOLCHAIN/bin/$TARGET-ranlib
export STRIP=$TOOLCHAIN/bin/$TARGET-strip

export LDFLAGS="-L$TOOLCHAIN/sysroot/usr/lib/$TARGET/$API -L$INSTALL_DIR/lib"

# The -D definition is there because on Python 3.5 it fails due to it being missing from Android 21;
# apparently not needed before, and fixed in later versions
export CFLAGS="-I$TOOLCHAIN/sysroot/usr/include -I$INSTALL_DIR/include -DAT_EACCESS=0"
export CPPFLAGS="-I$TOOLCHAIN/sysroot/usr/include -I$INSTALL_DIR/include -DAT_EACCESS=0"

export PATH="$TOOLCHAIN/bin/:$NDK:$NDK/build/tools:$SCRIPTPATH/install-local-$PY_VER/bin:/usr/local/bin:/usr/bin:/bin"

