#!/bin/bash
set -e

source build-env.sh

if [ ! -d "src/libffi-3.3" ]
then
    pushd src
    wget https://github.com/libffi/libffi/releases/download/v3.3/libffi-3.3.tar.gz
    tar -xf libffi-3.3.tar.gz
    rm libffi-3.3.tar.gz
    popd
fi

echo \#\#\# Does "$INSTALL_ARM_DIR/lib/libffi.so" exist?
if [ ! -f "$INSTALL_ARM_DIR/lib/libffi.so" ]
then
    source $SCRIPTPATH/cross-compile-env.sh

    rm -rf build/libffi
    mkdir build/libffi
    pushd build/libffi

    rm -rf *
    $SCRIPTPATH/src/libffi-3.3/configure --host $TARGET --build=$BUILD_ON --prefix="$INSTALL_ARM_DIR" -v

    make -j16

    make install
    popd
else
    echo \#\#\# YES
fi

