#!/bin/bash
set -e

source build-env.sh

if [ ! -d "src/openssl-OpenSSL_1_1_1" ]
then
    pushd src
    wget https://github.com/openssl/openssl/archive/OpenSSL_1_1_1.zip
    unzip OpenSSL_1_1_1.zip
    rm OpenSSL_1_1_1.zip
    popd
fi

echo \#\#\# Does "$INSTALL_ARM_DIR/lib/libcrypto.so" exist?
if [ ! -f "$INSTALL_ARM_DIR/lib/libcrypto.so" ]
then
    source $SCRIPTPATH/cross-compile-env.sh

    rm -rf build/libssl
    mkdir build/libssl
    pushd build/libssl

    OPENSSL_DIR=$SCRIPTPATH/src/openssl-OpenSSL_1_1_1
    export ANDROID_NDK=$NDK

    # Set the target architecture
    # Can be android-arm, android-arm64, android-x86, android-x86 etc
    architecture=android-arm64

    # Create the make file
    $OPENSSL_DIR/Configure ${architecture} -D__ANDROID_API__=$API --prefix=$INSTALL_ARM_DIR

    make -j14
    make install

    popd
else
    echo \#\#\# YES
fi

